tsdb(1)

NAME
tsdb - CLI to the Prometheus TSDB

SYNOPSIS

tsdb [<flags>] <command> [<args> ...]

DESCRIPTION
CLI tool for tsdb

OPTIONS

--help
    Show context-sensitive help (also try --help-long and --help-man).

COMMANDS

  help [<command>...]

Show help.

  bench write [<flags>] [<file*>]

run a write performance benchmark

--out="benchout"
    set the output path

--metrics=10000
    number of metrics to read

  ls [<flags>] [<db path*>]

list db blocks

-h, --human-readable
    print human readable values

  analyze [<flags>] [<db path*>] [<block id>]

analyze churn, label pair cardinality.

--limit=20
    how many items to show in each list

  dump [<flags>] [<db path*>]

dump samples from a TSDB

--min-time=-9223372036854775808
    minimum timestamp to dump

--max-time=9223372036854775807
    maximum timestamp to dump